// グローバル
var abtest = 0;

// グラフ
// https://www.cssscript.com/demo/two-column-table-data-comparison-using-javascript-and-css3/
var twoColComp = {
  init: function (){
    var tables = document.getElementsByTagName('table');

    // for each table
    for(var i = 0; i < tables.length; i++) {
      // don't process one that's already been done (has class two-column-comp)
      if (new RegExp('(^| )two-column-comp( |$)', 'gi').test(tables[i].className)){
         return;
      }

      //TODO: need to verify cross-browser support of these vars
      var h = tables[i].clientHeight, 
          t = tables[i].getBoundingClientRect().top,
          wT = window.pageYOffset || document.documentElement.scrollTop,
          wH = window.innerHeight;

      if(wT + wH > t + h/2){
         this.make(tables[i]);
       }
    }
  },

  make : function(el){
    var rows = el.getElementsByTagName('tr'),
        vals = [],
        max,
        percent;

    // for each row in the table, get vals
    for(var x = 0; x < rows.length; x++) {
      var cells = rows[x].getElementsByTagName('td');
      for(var y = 1; y < cells.length; y++){
        vals.push(parseInt(cells[y].innerHTML, 10));
      }
    }

    max = Math.max.apply( Math, vals );
    if( !max ) return;
    percent = 100/max;

    //for each row in the table, apply vals
    for(x = 0; x < rows.length; x++) {
      var cells = rows[x].getElementsByTagName('td');
      for(var y = 0; y < cells.length; y++){
        var currNum = parseInt(cells[y].innerHTML, 10);
        cells[y].style.backgroundSize = percent * currNum + "% 100%";
        cells[y].style.transitionDelay = x/20 + "s";
      }
    }
    //add a class so you don't process it a bunch of times
    el.className =+ " two-column-comp"
  } // end make
};



// 縮小用
var mail_1_mag = 0.0;
var mail_2_mag = 0.0;

$(function(){
	// json読み込み
	$.getJSON("abtest.json", function(data){
		abtest = data.test;
		console.log(abtest);

		// iframeへ反映
		for( var i in abtest ) {
			$('#' + abtest[i].target).attr( "src", abtest[i].url );
			console.log("load " + abtest[i].url);
		}

		// 比較テーブルへ反映
		for( var i in abtest ) {
			var key = [ "send", "success", "open", "click" ];
			$.each(key, function(j, val){
				var id = '#' + abtest[i].target + '_' + val;
				//console.log( id + "/" + val + "/" + abtest[i][val]);
				$(id).text(abtest[i][val])
			});
		}
		twoColComp.init();
	});

	// ウィンドウサイズ
	$(".mail_view_td").height( $(window).height() - $(".mail_view_td").offset().top - 20 );

	// フレーム内ロード後にリサイズを行う
	$("#mail_1").on("load", function() {
		console.log("load mail_1");

		var frame_size = $(".mail_view_td").width();
		var f_cont_size = $("#mail_1").get(0).contentWindow.document.documentElement.scrollWidth;
		mail_1_mag = frame_size / f_cont_size;
		if(mail_1_mag >= 1.0) mail_1_mag = 1.0;
		mail_1_mag = Math.floor(mail_1_mag * 100) / 100;
		console.log("frame_size=" + frame_size + ", contents_site=" + f_cont_size);
		console.log("mag=" + mail_1_mag);
		$("#mail_1").contents().find("body").css("transform","scale(" + mail_1_mag + ")").css("transform-origin","0 0").css("overflow-x","hidden");

		var tag = "a[href='" + abtest[0].top_url + "']";
		$("#mail_1").contents().find(tag).css("filter", "blur(4px)");
	});

	$("#mail_2").on("load", function() {
		console.log("load mail_2");

		var frame_size = $(".mail_view_td").width();
		var f_cont_size = $("#mail_2").get(0).contentWindow.document.documentElement.scrollWidth;
		mail_2_mag = frame_size / f_cont_size;
		if(mail_2_mag >= 1.0) mail_2_mag = 1.0;
		mail_2_mag = Math.floor(mail_2_mag * 100) / 100;
		console.log("frame_size=" + frame_size + ", contents_site=" + f_cont_size);
		console.log("mag=" + mail_2_mag);
		$("#mail_2").contents().find("body").css("transform","scale(" + mail_2_mag + ")").css("transform-origin","0 0").css("overflow-x","hidden");

		var tag = "a[href='" + abtest[1].top_url + "']";
		$("#mail_2").contents().find(tag).css("filter", "blur(4px)");
	});
});


window.onscroll = function(){
	twoColComp.init();
}

